Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

lirc_register_plugin undefined

Help
2007-08-01
2013-04-15
  • Joep Admiraal
    Joep Admiraal
    2007-08-01

    Hello,

    I downloaded lirc_mod_mce 0.1.4.
    I am running OpenSuse 10.2
    When I do a make I get the following warnings:
    WARNING: "lirc_register_plugin" [/home/joep/Documents/lirc_mod_mce/lirc_mod_mce.ko] undefined!
    WARNING: "lirc_get_pdata" [/home/joep/Documents/lirc_mod_mce/lirc_mod_mce.ko] undefined!
    WARNING: "lirc_unregister_plugin" [/home/joep/Documents/lirc_mod_mce/lirc_mod_mce.ko] undefined!

    The ko file is created.
    When I do modprobe lirc_mod_mce I get the followin error:
    FATAL: Error inserting lirc_mod_mce (/lib/modules/2.6.18.8-0.5-default/kernel/lib/lirc_mod_mce.ko): Unknown symbol in module, or unknown parameter (see dmesg)

    dmesg tells me:
    lirc_mod_mce: Unknown symbol lirc_get_pdata

    Do you know what I can do to make lirc_mod_mce work?

    Thanks,
    Joep Admiraal

     
    • Florian Demski
      Florian Demski
      2007-08-01

      Hi Joep,

      do you've got lirc installed? If yes, which version?

      Maybe see here for a (temporary solution):
      https://sourceforge.net/forum/message.php?msg_id=4368313

      Regards,

      Florian

       
    • Joep Admiraal
      Joep Admiraal
      2007-08-02

      Hi Florian,

      I first tried it with lirc svn.
      Then I uninstalled the svn version and tried lirc 0.8.1
      With both versions I tried the temporary solution you suggested.
      The problem still exists.
      Is there anything else I can try?

      Thankx,
      Joep

       
    • Filip
      Filip
      2007-08-02

      Hi,

      I got exact the same error messages as Joep has mentioned above.

      I tried replacing replacing lirc_dev.h as described in http://sourceforge.net/forum/message.php?msg_id=4368313

      I use the same software compliation which is posted to be working:
      http://sourceforge.net/forum/message.php?msg_id=4370547

      That means:
      Ubuntu 7.04
      lirc-modules-source 0.8.1+cvs20070310-0ubuntu2
      but instead of 2.6.20-15 I use 2.6.20-16

      Regards,
      Filip

       
    • Filip
      Filip
      2007-08-04

      Ok,
      I started from the scratch. First I got the lirc_mceusb2 working.
      What puzzles my is that I get the error during make though I use now exact the same software configuration as reported to be working
      http://sourceforge.net/forum/message.php?msg_id=4370547

      Now with lirc-modules-2.6.20-15-generic

      Regards,
      Filip